For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get all transactions in a transactional database

Required permissions: View Contacts and transactions

get
Path parameters
transactionalDatabaseIDstring · uuidRequired
Query parameters
skipinteger · int32Optional

Number of records to skip

topinteger · int32Optional

Maximum number of records to return. MAX: 150

apiTokenstringRequired

API authentication token

Responses
200

OK

application/json
totalTransactionsinteger · int32Optional
totalReturnedinteger · int32Optional
startinteger · int32Optional
nextinteger · int32Optional
get/database/transactionaldatabases/{transactionalDatabaseID}/transactions
GET /database/transactionaldatabases/{transactionalDatabaseID}/transactions?apiToken=text HTTP/1.1
Host: api.ubiquity.co.nz
Accept: */*
{
  "totalTransactions": 1,
  "totalReturned": 1,
  "start": 1,
  "next": 1,
  "selectedTransactions": [
    {
      "referenceID": "00000000-0000-0000-0000-000000000000",
      "transactionID": "text",
      "data": [
        {
          "fieldID": "text",
          "name": "text",
          "value": "text"
        }
      ],
      "source": "text"
    }
  ]
}

Last updated

Was this helpful?